Subject: Re: [Isis-wg] New Version Notification for draft-ietf-isis-node-admin-tag-01.txt

From: Pushpasis Sarkar <[email-masked]>
Date: Wed, 29 Apr 2015 05:44:23 +0000

Hi Les,

Sorry for a late response. I have addressed your comments and attached the
draft for your reference. Please let me know if you have any more
comments. I would like to post the draft sometime next week.

Thanks
-Pushpasis

On 3/11/15, 8:04 AM, "Les Ginsberg (ginsberg)" <[email-masked]> wrote:

>Pushpasis -
>
>Thanx for the quick response. I think we are pretty close.
>Please see the attached document - look for LES:
>
>   Les
>
>
>> -----Original Message-----
>> From: Pushpasis Sarkar [mailto:[email-masked]]
>> Sent: Tuesday, March 10, 2015 12:04 AM
>> To: Les Ginsberg (ginsberg); Isis-wg
>> Subject: Re: New Version Notification for
>>draft-ietf-isis-node-admin-tag-
>> 01.txt
>> 
>> Hi Les,
>> 
>> Thanks once again for the review. Attached is a copy addressing all your
>inline
>> comments.
>> 
>> Regarding the comment on removing MT guidelines.
>> 
>> 
>> LES: I will state this again. This paragraph is making false and
>misleading
>> statements. It detracts from the quality of the document and should be
>> removed. I think it may well be a valid use case for a given tag to mean
>> "nodes advertising tag Y should be considered as preferred for
>functionality X
>> in MTID #10 but as less preferred for functionality X in MTID #11". For
>you to
>> declare that such usage is illegal is neither appropriate nor within the
>scope
>> of this document.
>> 
>> [Pushpasis]: Offcourse it is a valid usecase, but they should still mean
>the
>> same attribute.. What priority is associated with the attribute under
>different
>> topologies is to be determined by local policy and is outside the scope
>of the
>> document. What we are trying to say in this document is that the same
>>tag
>> cannot be assoicciated with different attributes under different
>topology.
>> Anyways I modified the text as shown below. Hope it is fine with you
>>now.
>> 
>> " In deployments using multi-topology routing [RFC5120], since multiple
>>    topologies within same IS-IS level do not use separate Router
>>    Capability TLVs (i.e. they share the same flooding scope),
>>    advertising a separate set of per-node administrative tags for each
>>    topology is not supported.
>> "
>> 
>> 
>> 
>> Thanks
>> -Pushpasis
>> 
>> 
>> 
>> 
>> 
>> 
>> 
>> On 3/10/15, 11:25 AM, "Les Ginsberg (ginsberg)" <[email-masked]>
>> wrote:
>> 
>> >Pushpasis -
>> >
>> >I thank you for your prompt response to my comments.
>> >But, I still have substantive issues with the latest draft. Please see
>> >the attached annotated copy - look for "LES:".
>> >
>> >   Les
>> >
>> >
>> >> -----Original Message-----
>> >> From: Pushpasis Sarkar [mailto:[email-masked]]
>> >> Sent: Monday, March 09, 2015 9:29 AM
>> >> To: Isis-wg
>> >> Cc: Les Ginsberg (ginsberg)
>> >> Subject: FW: New Version Notification for
>> >>draft-ietf-isis-node-admin-tag-
>> >> 01.txt
>> >>
>> >> Hi All,
>> >>
>> >> I have uploaded a revision addressing Les Ginsberg¹s comments on the
>> >>draft.
>> >> Please review and provide any feedback/comments applicable.
>> >>
>> >> Thanks
>> >> -Pushpasis
>> >>
>> >> On 3/9/15, 9:05 PM, "[email-masked]"
>> >><[email-masked]>
>> >> wrote:
>> >>
>> >> >
>> >> >A new version of I-D, draft-ietf-isis-node-admin-tag-01.txt
>> >> >has been successfully submitted by Pushpasis Sarkar and posted to
>> >> >the IETF repository.
>> >> >
>> >> >Name:		draft-ietf-isis-node-admin-tag
>> >> >Revision:	01
>> >> >Title:		Advertising Per-node Admin Tags in IS-IS
>> >> >Document date:	2015-03-09
>> >> >Group:		isis
>> >> >Pages:		14
>> >> >URL:
>> >>
>> >>>http://www.ietf.org/internet-drafts/draft-ietf-isis-node-admin-tag-01
>> >>>.tx
>> >>>t
>> >> >Status:
>> >> >https://datatracker.ietf.org/doc/draft-ietf-isis-node-admin-tag/
>> >> >Htmlized:
>> >> >http://tools.ietf.org/html/draft-ietf-isis-node-admin-tag-01
>> >> >Diff:
>> >> >http://www.ietf.org/rfcdiff?url2=draft-ietf-isis-node-admin-tag-01
>> >> >
>> >> >Abstract:
>> >> >   This document describes an extension to IS-IS protocol
>>[ISO10589],
>> >> >   [RFC1195] to add an optional operational capability, that allows
>> >> >   tagging and grouping of the nodes in an IS-IS domain.  This
>>allows
>> >> >   simple management and easy control over route and path selection,
>> >> >   based on local configured policies.
>> >> >
>> >> >   This document describes the protocol extensions to disseminate
>per-
>> >> >   node administrative tags in IS-IS protocols.
>> >> >
>> >> >
>> >> >
>> >> >
>> >> >
>> >> >
>> >> >Please note that it may take a couple of minutes from the time of
>> >> >submission until the htmlized version and diff are available at
>> >> >tools.ietf.org.
>> >> >
>> >> >The IETF Secretariat
>> >> >
>> >
>
>
>